# ANSOCR Unit Test
add_executable(ANSOCR-UnitTest
    ANSOCR-UnitTest.cpp
)

target_include_directories(ANSOCR-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/modules/ANSOCR
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSOCR-UnitTest
    PRIVATE ANSOCR
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE opencv
    PRIVATE boost
)

if(WIN32)
    target_link_libraries(ANSOCR-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSOCR-UnitTest PRIVATE UNICODE _UNICODE)
